--[[
	enable = true,
	maxRecords = 1000,
	maxTime = 0,
	loaded = true,
	deaths = true,
	kills = true,
	loot = true,
	faction = true,
	zoneChange = true,
]]

function Logger_OptionsCheckButtonOnClick()
	local id = this:GetID();

	if ( not LoggerCheckButtons[id] ) then
		return
	end

	local type = LoggerCheckButtons[id].type;

	if ( this:GetChecked() ) then
		LoggerConfig[LoggerTypes[type].var] = true;
	else
		LoggerConfig[LoggerTypes[type].var] = false;
	end
end

function Logger_OptionsCheckButtonOnLoad()
	local id = this:GetID();

	if ( LoggerCheckButtons[id] ) then
		if ( not LoggerCheckButtons[id].displayOnly ) then
			this:Show();
			getglobal(this:GetName().."Text"):SetText(LoggerCheckButtons[id].text);
		end
	end

	if ( id > 1 ) then
		if ( id == 12 ) then
			this:SetPoint("TOPLEFT", LoggerOptionsFrame, "TOPLEFT", 225, -198);
		elseif ( LoggerCheckButtons[id] and LoggerCheckButtons[id - 1].displayOnly ) then
			this:SetPoint("TOP", getglobal("LoggerEventCheckButton"..(id - 2)), "BOTTOM", 0, -3);
		else
			this:SetPoint("TOP", getglobal("LoggerEventCheckButton"..(id - 1)), "BOTTOM", 0, -3);
		end
	end
end

function Logger_OptionsCheckButtonOnShow()
	local id = this:GetID();
	if ( not LoggerCheckButtons[id] ) then
		return
	end
	local type = LoggerCheckButtons[id].type;

	if ( LoggerConfig[LoggerTypes[type].var] ) then
		this:SetChecked(true);
	else
		this:SetChecked(false);
	end
end

function LoggerSetMaxTime()
	local days = tonumber( LoggerMaxDaysEditBox:GetText() );
	local hours = tonumber( LoggerMaxHoursEditBox:GetText() );
	local minutes = tonumber( LoggerMaxMinutesEditBox:GetText() );
	local timeInSeconds = 0;

	if ( days ) then
		timeInSeconds = timeInSeconds + (days * 86400);
	end
	if ( hours ) then
		timeInSeconds = timeInSeconds + (hours * 3600);
	end
	if ( minutes ) then
		timeInSeconds = timeInSeconds + (minutes * 60);
	end

	LoggerConfig.maxTime = timeInSeconds;
end

function LoggerGetMaxTime()
	local seconds = LoggerConfig.maxTime;
	local tempTime;

	if ( seconds >= 86400 ) then
		tempTime = floor(seconds / 86400);
		LoggerMaxDaysEditBox:SetText(tempTime);
		seconds = mod(seconds, 86400);
	else
		LoggerMaxDaysEditBox:SetText(0);
	end
	if ( seconds >= 3600 ) then
		tempTime = floor(seconds / 3600);
		LoggerMaxHoursEditBox:SetText(tempTime);
		seconds = mod(seconds, 3600);
	else
		LoggerMaxHoursEditBox:SetText(0);
	end
	if ( seconds >= 60 ) then
		tempTime = floor(seconds / 60);
		LoggerMaxMinutesEditBox:SetText(tempTime);
		seconds = mod(seconds, 60);
	else
		LoggerMaxMinutesEditBox:SetText(0);
	end
end

function LoggerDisplaySelectionFrame_OnLoad()
	this:SetBackdropColor(
		TOOLTIP_DEFAULT_BACKGROUND_COLOR.r,
		TOOLTIP_DEFAULT_BACKGROUND_COLOR.g,
		TOOLTIP_DEFAULT_BACKGROUND_COLOR.b
	);

end

function Logger_DisplayCheckButtonOnClick()
	local id = this:GetID();

	if ( not LoggerCheckButtons[id] ) then
		return
	end

	local type = LoggerCheckButtons[id].type;

	if ( not LoggerConfig.displaySelection ) then
		LoggerConfig.displaySelection = {};
	end
	if ( this:GetChecked() ) then
		LoggerConfig.displaySelection[type] = true;
	else
		LoggerConfig.displaySelection[type] = false;
	end
end

function Logger_DisplayCheckButtonOnLoad()
	local id = this:GetID();

	if ( LoggerCheckButtons[id] ) then
		this:Show();
		getglobal(this:GetName().."Text"):SetText(LoggerCheckButtons[id].text);
	end
	if ( id > 1 and id ~= 11 ) then
		this:SetPoint("TOP", getglobal("LoggerDisplayCheckButton"..(id - 1)), "BOTTOM", 0, -3);
	elseif ( id == 11 ) then
		this:SetPoint("TOPLEFT", LoggerDisplaySelectionFrame, "TOPLEFT", 250, -75);
	end
end

function Logger_DisplayCheckButtonOnShow()
	local id = this:GetID();
	if ( not LoggerCheckButtons[id] ) then
		return
	end
	local type = LoggerCheckButtons[id].type;

	if ( not LoggerConfig.displaySelection ) then
		LoggerConfig.displaySelection = {};
	end
	if ( LoggerConfig.displaySelection[type] ) then
		this:SetChecked(true);
	else
		this:SetChecked(false);
	end
end

function LoggerDisplayFrameDisableCheckButtons(toggle)
	local i = 1;
	if ( toggle ) then
		while ( getglobal("LoggerDisplayCheckButton"..i) ) do
			getglobal("LoggerDisplayCheckButton"..i):Disable();
			getglobal("LoggerDisplayCheckButton"..i.."Text"):SetTextColor(GRAY_FONT_COLOR.r, GRAY_FONT_COLOR.g, GRAY_FONT_COLOR.b);
			LoggerDisplayedEntriesLabel:SetTextColor(GRAY_FONT_COLOR.r, GRAY_FONT_COLOR.g, GRAY_FONT_COLOR.b);
			i = i + 1;
		end
	else
		while ( getglobal("LoggerDisplayCheckButton"..i) ) do
			getglobal("LoggerDisplayCheckButton"..i):Enable();
			getglobal("LoggerDisplayCheckButton"..i.."Text"):SetTextColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
			LoggerDisplayedEntriesLabel:SetTextColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
			i = i + 1;
		end
	end
end

function LoggerShowAllCheckButton_OnClick()
	if (this:GetChecked()) then
		PlaySound("igMainMenuOptionCheckBoxOff");
		LoggerConfig.displayAll = true;
		LoggerDisplayFrameDisableCheckButtons(true);
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
		LoggerConfig.displayAll = false;
		LoggerDisplayFrameDisableCheckButtons(false);
	end
end